Page Menu
Home
Solus
Search
Configure Global Search
Log In
Files
F10837072
D10482.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Award Token
Flag For Later
Size
1 KB
Referenced Files
None
Subscribers
None
D10482.diff
View Options
diff --git a/update_sources.sh b/update_sources.sh
--- a/update_sources.sh
+++ b/update_sources.sh
@@ -1,16 +1,25 @@
#!/bin/bash
-LLVMVERSION=10.0.1
-LINKS="https://github.com/llvm/llvm-project/releases/download/llvmorg-${LLVMVERSION}/llvm-${LLVMVERSION}.src.tar.xz
- https://github.com/llvm/llvm-project/releases/download/llvmorg-${LLVMVERSION}/clang-${LLVMVERSION}.src.tar.xz
- https://github.com/llvm/llvm-project/releases/download/llvmorg-${LLVMVERSION}/compiler-rt-${LLVMVERSION}.src.tar.xz
- https://github.com/llvm/llvm-project/releases/download/llvmorg-${LLVMVERSION}/lld-${LLVMVERSION}.src.tar.xz
- https://github.com/llvm/llvm-project/releases/download/llvmorg-${LLVMVERSION}/clang-tools-extra-${LLVMVERSION}.src.tar.xz
- https://github.com/llvm/llvm-project/releases/download/llvmorg-${LLVMVERSION}/libcxx-${LLVMVERSION}.src.tar.xz
- https://github.com/llvm/llvm-project/releases/download/llvmorg-${LLVMVERSION}/libcxxabi-${LLVMVERSION}.src.tar.xz
- https://github.com/llvm/llvm-project/releases/download/llvmorg-${LLVMVERSION}/openmp-${LLVMVERSION}.src.tar.xz
-"
+
+LLVMVERSION="$1"
+
+if [[ -z $LLVMVERSION ]]; then
+ echo "Usage: $0 <version number>"
+ exit 1
+fi
+
+BASEURI="https://github.com/llvm/llvm-project/releases/download/llvmorg-${LLVMVERSION}"
+
+LINKS="$BASEURI/llvm-${LLVMVERSION}.src.tar.xz
+ $BASEURI/clang-${LLVMVERSION}.src.tar.xz
+ $BASEURI/compiler-rt-${LLVMVERSION}.src.tar.xz
+ $BASEURI/lld-${LLVMVERSION}.src.tar.xz
+ $BASEURI/clang-tools-extra-${LLVMVERSION}.src.tar.xz
+ $BASEURI/libcxx-${LLVMVERSION}.src.tar.xz
+ $BASEURI/libcxxabi-${LLVMVERSION}.src.tar.xz
+ $BASEURI/openmp-${LLVMVERSION}.src.tar.xz"
+
pushd /tmp
-wget ${LINKS} > /dev/null
+wget -nv ${LINKS} > /dev/null
for i in ${LINKS}; do
j=`basename ${i}`
echo " - ${i} : `sha256sum ${j} | awk '{ print $1 }'`"
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Jun 9 2023, 11:23 PM (8 w, 6 d ago)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
5811459
Default Alt Text
D10482.diff (1 KB)
Attached To
Mode
D10482: Modify LLVM update script to take version as a parameter
Attached
Detach File
Event Timeline
Log In to Comment